#footer {
    background: radial-gradient(circle at bottom, rgb(238 224 255) 0, #fff 40%);
    min-height: 300px;
    height: 100%;
    overflow: hidden;
    position: relative;
    margin-left: 280px;
}

#footer .container {
    z-index: 10;
}

.copyleft {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg);
    display: inline-block;
}

.space {
    background: rgba(0, 0, 0, 0.05) center / 200px 200px round;
    bottom: 0;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
}

.stars1 {
    animation: space 100s ease-in-out infinite;
    background-image: 
        radial-gradient(1px 1px at 25px 5px, black, rgba(255, 255, 255, 0)), 
        radial-gradient(1px 1px at 50px 25px, black, rgba(255, 255, 255, 0)), 
        radial-gradient(1px 1px at 125px 20px, black, rgba(255, 255, 255, 0)), 
        radial-gradient(1.5px 1.5px at 50px 75px, black, rgba(255, 255, 255, 0)), 
        radial-gradient(2px 2px at 15px 125px, black, rgba(255, 255, 255, 0)), 
        radial-gradient(2.5px 2.5px at 110px 80px, black, rgba(255, 255, 255, 0));
}

.stars2 {
    animation: space 50s ease-in-out infinite;
    background-image: 
        radial-gradient(1px 1px at 75px 125px, black, white), 
        radial-gradient(1px 1px at 100px 75px, black, white), 
        radial-gradient(1.5px 1.5px at 199px 100px, black, white), 
        radial-gradient(2px 2px at 20px 50px, black, rgba(255, 255, 255, 0)), 
        radial-gradient(2.5px 2.5px at 100px 5px, black, rgba(255, 255, 255, 0)), 
        radial-gradient(2.5px 2.5px at 5px 5px, black, rgba(255, 255, 255, 0));
}
  
@keyframes space {
    40% {
        opacity: 0.75;
    }
    50% {
        opacity: 0.25;
    }
    60% {
        opacity: 0.75;
    }
    100% {
        transform: rotate(360deg);
    }
}

@media (max-width: 990px) {
    #footer {
        margin-top: 3rem;
        margin-left: 0;
    }
}